#!/bin/bash

WALLPAPER=$(ls $HOME/Pictures/Wallpapers/ | wofi --show dmenu)

if [ ${#WALLPAPER} -gt 0 ] ; then

	rm -f $HOME/.cache/.wallpaper

	echo "$HOME/Pictures/Wallpapers/$WALLPAPER" > $HOME/.cache/.wallpaper

	rm -rf $HOME/.cache/wal

	# notify-send -t 2000 -u low -h int:value:50 "OCbwoy3's Dotfiles" "Calculating color scheme"

	# wal -stn -a 90 -i $HOME/wallpaper/$WALLPAPER

	if [[ "$(hostname)" != "gentoo" ]]; then
		swww img $HOME/Pictures/Wallpapers/$WALLPAPER --transition-fps 300 --transition-duration 2 --transition-type simple --transition-step 3 &
	fi

	if [[ "$(hostname)" == "gentoo" ]]; then
		HYPRPAPER_PID="$(pidof hyprpaper)"
		if [ ${#HYPRPAPER_PID} -lt 1 ]; then
			hyprctl dispatch exec hyprpaper
			sleep 1
		fi
		hyprctl hyprpaper unload all
		hyprctl hyprpaper preload $HOME/Pictures/Wallpapers/$WALLPAPER
		hyprctl hyprpaper wallpaper ,$HOME/Pictures/Wallpapers/$WALLPAPER
	fi

	# bash ~/dotfiles/scripts/hot-reload.sh

else
	printf "not changing wallpaper\n"
fi
